---
title: "云原生高阶"
date: 2018-12-29
lastmod: 2020-01-05
weight: 3
type: docs
icon: #
description: "高阶路线图"
# search related keywords
keywords: ["云原生","高阶"]
---


![高校俱乐部](https://codechina.csdn.net/codechina/operation-work/uploads/53b24f5f44d3c851890b1789ed501001/%E9%AB%98%E6%A0%A1%E4%BF%B1%E4%B9%90%E9%83%A8320.jpg)

<p style="text-align:center;font-weight:bold;">关注“高校俱乐部”微信公众号，回复“路线图”，快人一步获取高清全套技术路线图</p>

<br>


{{< embed-pdf-view url="/images/cloud-native.pdf" >}}


### Kubernetes 

- 接口
  - CNI(Container Network Interface)
    - Flannel
    - Calico
    - Weave
    - OVN(Open Virtual Network)
    - SR-IOV(Single-root Input/Output Virtualization)
    - Romana
    - OpenContrail
    - Kuryr
  - CRI(Container Runtime Interface)
    - Frakti
  - CSI(Container Storage Interface)
    - FlexVolume
    - GlusterFS
- PaaS
  - Cloud Foundry
  - Crossplane
  - Anthos
  - KubeSphere

### 编程语言

- Java
  - 减小镜像
    - Alpine Portola
    - JDK (version >= 9)
    - Spring Boot (version > 2.3)
  - 降低资源占用率
    - Project Panama
    - Project Valhalla
  - 缩短冷启动时间
    - GraalVM
    - Quarkus
    - Micronaut
    - Helidon

### DevOps

- 运维
  - 编程
    - Operator
    - Pulumi
    - Ballerina
    - cdk8s

### 中间件

- 数据库
  - Database Mesh
- 大数据
  - Kubeflow
  - Fluid
  - KubeTEE

### Serverless

- BaaS Serverless
  - Spring Cloud Connector
  - Open Service Broker


## 相关学习资源

- [云原生大规模应用落地指南](https://developer.aliyun.com/topic/download?id=1055)
- Kubebuilder
- Operator SDK
- [Serverless 容器从入门到精通: Serverless K8s](https://developer.aliyun.com/lesson_2025_18986#_18986)
- [降本增效实战利器： Serverless 应用引擎](https://developer.aliyun.com/lesson_2026_18987#_18987)